<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateModelsContractsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('contracts', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('province_id');
            $table->string('province_fa');
            $table->integer('office_id');
            $table->string('office_fa');
            $table->string('title');
            $table->integer('status_id');
            $table->string('status_fa');
            $table->string('contract_date');
            $table->string('contract_mojavez');
            $table->string('contract_mojavez_fa');
            $table->string('contract_tarh');
            $table->string('contract_credit_national');
            $table->string('contract_credit_province');
            $table->string('contract_credit');
            $table->string('contract_peymankar');
            $table->string('contract_moshaver_tarahi');
            $table->string('contract_moshaver_nezarat');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('contracts');
    }
}
